package com.kindlebook.hyrt.chapter13;

import android.app.Activity;

public class QuizActivity extends Activity {
    public static final String GAME_PREFERENCES = "GamePrefs";

    // keys for prefs
    public static final String GAME_PREFERENCES_NICKNAME = "Nickname"; // String
    public static final String GAME_PREFERENCES_EMAIL = "Email"; // String
    public static final String GAME_PREFERENCES_PASSWORD = "Password"; // String
    public static final String GAME_PREFERENCES_DOB = "DOB"; // Long
    public static final String GAME_PREFERENCES_GENDER = "Gender"; // Int
    public static final String GAME_PREFERENCES_SCORE = "Score"; // Long
    public static final String GAME_PREFERENCES_CURRENT_BOOK = "CurBook"; // Int
    public static final String GAME_PREFERENCES_PLAYER_ID = "playerId"; // String
    public static final String GAME_PREFERENCES_UNIQUE_ID = "uniqueId"; // String

    // xml tags for parsing
    public static final String XML_TAG_BOOK_BLOCK = "books";
    public static final String XML_TAG_BOOK = "book";
    public static final String XML_TAG_BOOK_ATTRIBUTE_NUMBER = "number";
    public static final String XML_TAG_BOOK_ATTRIBUTE_TITLE = "title";
    public static final String XML_TAG_BOOK_ATTRIBUTE_COVERURL = "coverUrl";

    // number of books to download at once.
    public static final int BOOK_BATCH_SIZE = 2;

    // url to server
    // http://localhost:8888/questions.jsp?start=1&max=50
    public static final String HYRT_SERVER_BASE = "http://hyreadthat.appspot.com/";
    public static final String HYRT_SERVER_SCORES_XML_PATH = HYRT_SERVER_BASE
            + "scores.jsp";
    public static final String HYRT_SERVER_BOOKS_XML_PATH = HYRT_SERVER_BASE
            + "questions.jsp";
    public static final String HYRT_SERVER_ACCOUNT_EDIT = HYRT_SERVER_BASE
            + "receive";
}
